Name:		sir
Version:	3.1
Release:	%mkrel 2
Summary:	A simple application for re-sizing images
License:	GPLv2+
Group:		Graphics/Editors and Converters
URL:		http://marek629.github.io/SIR/
Source:		https://googledrive.com/host/0B9Il9AGwsKEvLVpDVmIwbHVoYlE/%{name}_%{version}.tar.gz
Patch0:		sir-3.1-fix-desktop-file.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	cmake

Recommends:	dcraw

%description
sir (Simple Image Resizer) is a simple application for re-sizing images,
inspired by GTPY - ImageResizer . It uses C++/QT5 and QImage class to
convert the images.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%cmake_qt5

%make_build

%install
%make_install -C build

%files
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/sir/


%changelog
* Tue Jun 20 2017 neoclust <neoclust> 3.1-2.mga6
+ Revision: 1108002
- Rebuild against new exiv2

* Sun Sep 04 2016 daviddavid <daviddavid> 3.1-1.mga6
+ Revision: 1049987
- new version: 3.1
- port to Qt5
- update URL and Source URL

* Wed Feb 17 2016 umeabot <umeabot> 2.6-5.mga6
+ Revision: 962831
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 2.6-4.mga6
+ Revision: 869725
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.6-3.mga5
+ Revision: 739237
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6-2.mga5
+ Revision: 689170
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Feb 10 2014 dams <dams> 2.6-1.mga5
+ Revision: 589039
- new version 2.6

* Fri Oct 18 2013 umeabot <umeabot> 2.5.1-2.mga4
+ Revision: 521028
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 malo <malo> 2.5.1-1.mga3
+ Revision: 386972
- new version 2.5.1

* Mon Jan 14 2013 umeabot <umeabot> 2.4-2.mga3
+ Revision: 382088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sun Sep 30 2012 malo <malo> 2.4-1.mga3
+ Revision: 300684
- update to new version 2.4
- Update RPM group

* Fri Jun 29 2012 malo <malo> 2.3.1-1.mga3
+ Revision: 264931
- import of SIR (spec by Jeff Robins)

